---
title: SSL Verification Details
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[SSL](https://developers.cloudflare.com/api/go/resources/ssl)

[Verification](https://developers.cloudflare.com/api/go/resources/ssl/subresources/verification)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# SSL Verification Details

client.SSL.Verification.Get(ctx, params) (\*\[] [Verification](<https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)>), error)

GET/zones/{zone\_id}/ssl/verification

Get SSL Verification Info for a Zone.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Access: Mutual TLS Certificates Write``Access: Mutual TLS Certificates Read``SSL and Certificates Write``SSL and Certificates Read`

##### ParametersExpand Collapse

<details>

<summary>

params VerificationGetParams

</summary>

ZoneID param.Field\[string]

Path param: Identifier.

maxLength32

<a href="#(resource)%20ssl.verification%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

<details>

<summary>

Retry param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/ssl/subresources/verification/methods/get#(resource)%20ssl.verification%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20retry%20%3E%20(schema)">VerificationGetParamsRetry</a>]Optional

Query param: Immediately retry SSL Verification.

</summary>

const VerificationGetParamsRetryTrue <a href="https://developers.cloudflare.com/api/go/resources/ssl/subresources/verification/methods/get#(resource)%20ssl.verification%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20retry%20%3E%20(schema)">VerificationGetParamsRetry</a> = true

<a href="#(resource)%20ssl.verification%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20retry%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

</details>

<a href="#(resource)%20ssl.verification%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20retry">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ssl.verification%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type VerificationGetResponseEnvelopeResult \[]<a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)">Verification</a>

</summary>

<details>

<summary>

CertificateStatus VerificationCertificateStatus

Current status of certificate.

</summary>

One of the following:

const VerificationCertificateStatusInitializing VerificationCertificateStatus = "initializing"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20certificate_status%20%3E%20(member)%200">Link to this property</a>

const VerificationCertificateStatusAuthorizing VerificationCertificateStatus = "authorizing"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20certificate_status%20%3E%20(member)%201">Link to this property</a>

const VerificationCertificateStatusActive VerificationCertificateStatus = "active"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20certificate_status%20%3E%20(member)%202">Link to this property</a>

const VerificationCertificateStatusExpired VerificationCertificateStatus = "expired"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20certificate_status%20%3E%20(member)%203">Link to this property</a>

const VerificationCertificateStatusIssuing VerificationCertificateStatus = "issuing"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20certificate_status%20%3E%20(member)%204">Link to this property</a>

const VerificationCertificateStatusTimingOut VerificationCertificateStatus = "timing\_out"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20certificate_status%20%3E%20(member)%205">Link to this property</a>

const VerificationCertificateStatusPendingDeployment VerificationCertificateStatus = "pending\_deployment"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20certificate_status%20%3E%20(member)%206">Link to this property</a>

</details>

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20certificate_status">Link to this property</a>

BrandCheck boolOptional

Certificate Authority is manually reviewing the order.

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20brand_check">Link to this property</a>

CERTPackUUID stringOptional

Certificate Pack UUID.

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20cert_pack_uuid">Link to this property</a>

<details>

<summary>

Signature VerificationSignatureOptional

Certificate’s signature algorithm.

</summary>

One of the following:

const VerificationSignatureEcdsaWithSha256 VerificationSignature = "ECDSAWithSHA256"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20signature%20%3E%20(member)%200">Link to this property</a>

const VerificationSignatureSha1WithRSA VerificationSignature = "SHA1WithRSA"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20signature%20%3E%20(member)%201">Link to this property</a>

const VerificationSignatureSha256WithRSA VerificationSignature = "SHA256WithRSA"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20signature%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20signature">Link to this property</a>

<details>

<summary>

ValidationMethod <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20validation_method%20%3E%20(schema)">ValidationMethod</a>Optional

Validation method in use for a certificate pack order.

</summary>

One of the following:

const ValidationMethodHTTP <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20validation_method%20%3E%20(schema)">ValidationMethod</a> = "http"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20validation_method%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20validation_method%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const ValidationMethodCNAME <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20validation_method%20%3E%20(schema)">ValidationMethod</a> = "cname"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20validation_method%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20validation_method%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

const ValidationMethodTXT <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20validation_method%20%3E%20(schema)">ValidationMethod</a> = "txt"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20validation_method%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20validation_method%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20validation_method">Link to this property</a>

<details>

<summary>

VerificationInfo VerificationVerificationInfoOptional

Certificate’s required verification information.

</summary>

<details>

<summary>

RecordName VerificationVerificationInfoRecordNameOptional

Name of CNAME record.

formathostname

</summary>

One of the following:

const VerificationVerificationInfoRecordNameRecordName VerificationVerificationInfoRecordName = "record\_name"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info%20%3E%20(property)%20record_name%20%3E%20(member)%200">Link to this property</a>

const VerificationVerificationInfoRecordNameHTTPURL VerificationVerificationInfoRecordName = "http\_url"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info%20%3E%20(property)%20record_name%20%3E%20(member)%201">Link to this property</a>

const VerificationVerificationInfoRecordNameCNAME VerificationVerificationInfoRecordName = "cname"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info%20%3E%20(property)%20record_name%20%3E%20(member)%202">Link to this property</a>

const VerificationVerificationInfoRecordNameTXTName VerificationVerificationInfoRecordName = "txt\_name"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info%20%3E%20(property)%20record_name%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info%20%3E%20(property)%20record_name">Link to this property</a>

<details>

<summary>

RecordTarget VerificationVerificationInfoRecordTargetOptional

Target of CNAME record.

formathostname

</summary>

One of the following:

const VerificationVerificationInfoRecordTargetRecordValue VerificationVerificationInfoRecordTarget = "record\_value"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info%20%3E%20(property)%20record_target%20%3E%20(member)%200">Link to this property</a>

const VerificationVerificationInfoRecordTargetHTTPBody VerificationVerificationInfoRecordTarget = "http\_body"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info%20%3E%20(property)%20record_target%20%3E%20(member)%201">Link to this property</a>

const VerificationVerificationInfoRecordTargetCNAMETarget VerificationVerificationInfoRecordTarget = "cname\_target"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info%20%3E%20(property)%20record_target%20%3E%20(member)%202">Link to this property</a>

const VerificationVerificationInfoRecordTargetTXTValue VerificationVerificationInfoRecordTarget = "txt\_value"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info%20%3E%20(property)%20record_target%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info%20%3E%20(property)%20record_target">Link to this property</a>

</details>

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info">Link to this property</a>

VerificationStatus boolOptional

Status of the required verification information, omitted if verification status is unknown.

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_status">Link to this property</a>

<details>

<summary>

VerificationType VerificationVerificationTypeOptional

Method of verification.

</summary>

One of the following:

const VerificationVerificationTypeCNAME VerificationVerificationType = "cname"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_type%20%3E%20(member)%200">Link to this property</a>

const VerificationVerificationTypeMetaTag VerificationVerificationType = "meta tag"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_type%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_type">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ssl.verification%20%3E%20(method)%20get%20%3E%20(network%20schema)%20%3E%20(property)%20result>)

### SSL Verification Details

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/ssl"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  verifications, err := client.SSL.Verification.Get(context.TODO(), ssl.VerificationGetParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", verifications)
}
```

200 example

```
{
  "result": [
    {
      "certificate_status": "active",
      "brand_check": false,
      "cert_pack_uuid": "a77f8bd7-3b47-46b4-a6f1-75cf98109948",
      "signature": "ECDSAWithSHA256",
      "validation_method": "txt",
      "verification_info": {
        "record_name": "record_name",
        "record_target": "record_value"
      },
      "verification_status": true,
      "verification_type": "cname"
    }
  ]
}
```

##### Returns Examples

200 example

```
{
  "result": [
    {
      "certificate_status": "active",
      "brand_check": false,
      "cert_pack_uuid": "a77f8bd7-3b47-46b4-a6f1-75cf98109948",
      "signature": "ECDSAWithSHA256",
      "validation_method": "txt",
      "verification_info": {
        "record_name": "record_name",
        "record_target": "record_value"
      },
      "verification_status": true,
      "verification_type": "cname"
    }
  ]
}
```